/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.content.RuntimeContentProvider");

dojo.require("com.ibm.mashups.enabler.content.RuntimeContent");

/**
 * Interface for a provider of runtime content.
 *
 * @since 2.4
 *
 * @ibm-api
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.content.RuntimeContentProvider", null, {

    /**
     * Returns the runtime content of this runtime content provider.
     * @return {com.ibm.mashups.enabler.content.RuntimeContent} The runtime content,
     * never <code>null</code>.
     */
    getRuntimeContent: function(){
        throw new Error('Unimplemented API: com.ibm.mashups.enabler.content.RuntimeContentProvider.getRuntimeContent');
    }
});
