/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.model.Constants");

/**
 * Model constants.
 * @private
 */

dojo.declare("com.ibm.mashups.enabler.model.Constants", null, {
	constructor: function() {	
		/**
		 * Scheme separator
		 * @type {String} 
		 */
		this.SCHEME_SEPARATOR = ":";
		
		/**
		 * Client identifier scheme
		 * @type {String} 
		 */
		this.CLIENT_ID_SCHEME = "cid";
	
		/**
		 * Client identifier prefix
		 * @type {String} 
		 */
		this.CLIENT_ID_PREFIX = this.CLIENT_ID_SCHEME + this.SCHEME_SEPARATOR;
	}
});

com.ibm.mashups.enabler.model.Constants = new com.ibm.mashups.enabler.model.Constants();
