/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.widget.Factory");

//<INTERFACE>
//dojo..require("com.ibm.mashups.enabler.widget.WidgetModel");

/**
 * Widget model factory.
 *
 * Please note that the model factory creates only one instance of the model and
 * returns this instance every time the respective get-method is called.
 *
 * @ibm-api
 * @ibm-module CoreModel
 * 
 * @since 2.4
 */
dojo.declare("com.ibm.mashups.enabler.widget.Factory", null, {
    /**
     * Returns the widget model.
     *
     * @return {com.ibm.mashups.enabler.widget.WidgetModel} widget model, never <code>null</code>
     */
    getWidgetModel: function(){
    }
});

//</INTERFACE>

dojo.require("com.ibm.mm.enabler.widget.FactoryImpl");
