/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.template.Factory");

//<INTERFACE>
//dojo..require("com.ibm.mashups.enabler.model.TemplateModel");

/**
 * Template model factory.
 * 
 * Please note that the model factory creates only one instance of the model and
 * returns this instance every time the respective get-method is called.
 *
 * @ibm-api
 * @ibm-module CoreModel
 *
 * @since 2.4
 */
dojo.declare("com.ibm.mashups.enabler.template.Factory", null, {
    /**
     * Returns the template model.
     *
     * @return {com.ibm.mashups.enabler.model.TemplateModel} template model, never <code>null</code>
     */
    getTemplateModel: function(){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.template.FactoryImpl");

